Package org.springframework.security.cas.web.authentication

# Interface ServiceAuthenticationDetails

All Superinterfaces:
  `Serializable`, `ServiceAuthenticationDetails`

@Deprecated public interface ServiceAuthenticationDetails extends ServiceAuthenticationDetails
Deprecated.
Please use org.springframework.security.cas.authentication.ServiceAuthenticationDetails
In order for the `CasAuthenticationProvider` to provide the correct service url to authenticate the ticket, the returned value of `Authentication.getDetails()` should implement this interface when tickets can be sent to any URL rather than only `ServiceProperties.getService()`.

See Also:
  - `ServiceAuthenticationDetailsSource`

## Method Summary

Modifier and Type
Method
Description
`String`
`getServiceUrl()`
Deprecated.
Gets the absolute service url (i.e.

## Method Details

### getServiceUrl

String getServiceUrl()
Deprecated.
Gets the absolute service url (i.e. https://example.com/service/).

Specified by:
  `getServiceUrl` in interface `ServiceAuthenticationDetails`
Returns:
  the service url. Cannot be `null`.